Bug 545733 - [abrt] 0 is not a valid notification ID
Summary: [abrt] 0 is not a valid notification ID
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 11
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a4966ba5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-09 09:17 UTC by Luca Giuzzi
Modified: 2010-01-15 22:12 UTC (History)
2 users (show)

Fixed In Version: 1.1.16-8.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-15 22:04:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.06 KB, text/plain)
2009-12-09 09:17 UTC, Luca Giuzzi
no flags Details
Relevant stanza in printers.conf (948 bytes, application/octet-stream)
2009-12-09 11:06 UTC, Luca Giuzzi
no flags Details

Description Luca Giuzzi 2009-12-09 09:17:11 UTC
abrt 1.0.0 detected a crash.

How to reproduce
-----
1. open a pdf file in firefox
2. give the print command from the embedded xpdf viewer
3. cancel the job


backtrace
-----
Summary: TBa4966ba5 jobviewer.py:1434:state_reason_removed:GError: 0 is not a valid notification ID

Traceback (most recent call last):
  File "/usr/share/system-config-printer/monitor.py", line 471, in get_notifications
    self.update_jobs (jobs)
  File "/usr/share/system-config-printer/monitor.py", line 713, in update_jobs
    self.check_state_reasons (my_printers, printer_jobs)
  File "/usr/share/system-config-printer/monitor.py", line 329, in check_state_reasons
    self.watcher.state_reason_removed (self, reason)
  File "/usr/share/system-config-printer/jobviewer.py", line 1434, in state_reason_removed
    notification.close ()
GError: 0 is not a valid notification ID

Local variables in innermost frame:
printer: biblioteca
tuple: (2, u'biblioteca', u'com.apple.print.recoverable')
i: 0
notification: <pynotify.Notification object at 0x2d17b40 (NotifyNotification at 0x2dce8a0)>
self: <jobviewer.JobViewer instance at 0x2d0e1b8>
reasons: []
reason: <statereason.StateReason (WARNING,biblioteca,com.apple.print.recoverable)>
mon: <monitor.Monitor instance at 0x2d0e248>

cmdline: python /usr/share/system-config-printer/applet.py 
component: system-config-printer
executable: /usr/share/system-config-printer/applet.py
kernel: 2.6.31.6-145.fc12.x86_64
package: system-config-printer-1.1.13-10.fc12
uuid: a4966ba5

Comment 1 Luca Giuzzi 2009-12-09 09:17:15 UTC
Created attachment 377123 [details]
File: backtrace

Comment 2 Tim Waugh 2009-12-09 10:56:55 UTC
Also affects Fedora 11.

Comment 3 Luca Giuzzi 2009-12-09 11:06:28 UTC
Created attachment 377137 [details]
Relevant stanza in printers.conf

I attach the stanza in printers.conf related to this printer.
The printer itself has direct support for ipp.

Comment 4 Fedora Update System 2009-12-15 08:26:56 UTC
system-config-printer-1.1.15-8.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.15-8.fc12

Comment 5 Fedora Update System 2009-12-16 01:04:20 UTC
system-config-printer-1.1.15-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 6 Fedora Update System 2009-12-22 04:44:48 UTC
system-config-printer-1.1.15-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 7 Fedora Update System 2009-12-22 16:31:11 UTC
system-config-printer-1.1.16-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/system-config-printer-1.1.16-1.fc11

Comment 8 Fedora Update System 2009-12-23 21:32:10 UTC
system-config-printer-1.1.16-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 9 Fedora Update System 2009-12-25 08:24:14 UTC
system-config-printer-1.1.16-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 10 Fedora Update System 2009-12-25 08:24:44 UTC
system-config-printer-1.1.16-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 11 Fedora Update System 2010-01-08 19:58:09 UTC
system-config-printer-1.1.16-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 12 Fedora Update System 2010-01-08 20:14:02 UTC
system-config-printer-1.1.16-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 13 Fedora Update System 2010-01-12 23:35:49 UTC
system-config-printer-1.1.16-8.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13579

Comment 14 Fedora Update System 2010-01-12 23:38:01 UTC
system-config-printer-1.1.16-8.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-printer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13156

Comment 15 Fedora Update System 2010-01-15 22:02:48 UTC
system-config-printer-1.1.16-8.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-01-15 22:10:57 UTC
system-config-printer-1.1.16-8.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.